function [bs] = boundsolquad(sol)
%BEGINDOC=================================================================
% .Author.
%
%  Adam Szabo
%
%-------------------------------------------------------------------------
% .Description.
%  
%  Splits boxes obtained from the B&B procedure of quadrants and 
%  return them into a bounded box.
%  Implementation of boundsol on each quadrant specially. 
%
%-------------------------------------------------------------------------
% .Input parameters.
%
%   sol ... box contains boxes obtained from the B&B process 
%
%------------------------------------------------------------------------
% .Output parameters.
%
%   bs ... quadrants which contain solutions
%  
%------------------------------------------------------------------------
% .Implementation details. 
%  
%
%------------------------------------------------------------------------
% .Licence.
%  
%   Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.    
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2018-05-07    first version
%
%------------------------------------------------------------------------
% .Todo.
%    
%
%ENDDOC===================================================================

  bs1 = [];
  bs2 = [];
  bs3 = [];
  bs4 = [];

  [s1,s2,s3,s4] = quadsol(sol);

  bs1 = boundsol(s1);
  bs2 = boundsol(s2);
  bs3 = boundsol(s3);
  bs4 = boundsol(s4);

  bs = [bs1,bs2,bs3,bs4];

  %[bs1,bs2,bs3,bs4] = boundsolquad(sol)

end