
function l = randnselfromlist( list, n, it )

%BEGINDOC=================================================================
% .Author.
%
%  Jaroslav Horacek
%
%-------------------------------------------------------------------------
% .Description.
%
%   selects n random different values from list
%
%-------------------------------------------------------------------------
% .Input parameters.
%   
%   list ...  a list of values 
%   n ... n values to select
%   it ... number of iterative selections
%
%------------------------------------------------------------------------
% .Output parameters.
%
%   l ... list with selected items
%
%------------------------------------------------------------------------
% .Implementation details. 
%
%
%------------------------------------------------------------------------
%  .Licence.
%  
%   Copyright (C) 2018  Charles University in Prague, Czech Republic
%
%   LIME 1.0 is free for private use and for purely academic purposes. 
%   It would be very kind from the future user of LIME 1.0 to give 
%   reference that this software package has been developed 
%   by at Charles University, Czech Republic.
%
%   For any other use of LIME 1.0 a license is required.
%
%   THIS SOFTWARE IS PROVIDED AS IS AND WITHOUT ANY EXPRESS OR IMPLIED 
%   WARRANTIES, INCLUDING, WITHOUT LIMITATIONS, THE IMPLIED WARRANTIES 
%   OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.    
%    
%-------------------------------------------------------------------------
% .History.
%       
%   2011-06-05    first version
%   2015-04-24    applying template coding conventions 
%
%------------------------------------------------------------------------
% .Todo.
%   
%   Here comes the list of future plans, if none leave empty 
%
%ENDDOC===================================================================

len = length(list);
 
if( n > len )
   error('randselfromlist: n > number of list members'); 
end

if (nargin < 3)
  it = 1;  
end

l = [];

for i=1:it
  p = randperm(len);
  sel = p(1:n);
  
  l = [l; list(sel)];
end


end